
//-------------------------------------------------------------------
//
//      EA SETUP I v1.13
//
//-------------------------------------------------------------------

extern string _________Buttons_______________________________ = " ";

extern int x=0;
extern int y=0;

extern string _________Trade_Settings______________________________ = " ";

input int MagicNumber=0;
input int Number_of_trades=2;
input int Stop_Loss=10;
input int Take_Profit=30;
input int Slippage=3;
input int Trailing_stop_step=5;
extern double lot=0.10;
input double Lot_default=0.10;
input double Lot_adjust=0.10;
extern bool   Spread_in_Pips = true;

extern string _________Position_Info________________________________ = " ";

extern color  Buy_Line_Color = DarkBlue;
extern color  Sell_Line_Color = DarkBlue;
extern bool   Profit_in_Pips = true;
extern color  Profit_color = Green;
extern color  Loss_color = FireBrick;
extern color  Zero_color = Black;

//---------------------------------------
double Pointx;
double divider;
int x_digits;

double PipPoints;
int slip;

#include <stdlib.mqh>
#include <WinUser32.mqh>  

double y0;
//+------------------------------------------------------------------+
//| Expert initialization function                                   |
//+------------------------------------------------------------------+
int OnInit()
   { 
   
   if(Digits==3 || Digits==5)
      {
      PipPoints=Point*10;
      slip=Slippage*10;
      }
   else
      {
      PipPoints=Point;
      slip=Slippage;
      }
      
      //Spread: Check for 3 & 5 digit
   if (Point == 0.00001) Pointx = 0.0001; //5 digits
   else if (Point == 0.001) Pointx = 0.01; //3 digits
   else Pointx = Point; //Normal
  
   if ((Pointx > Point) && (Spread_in_Pips==true))
      {
      divider = 10.0;
      x_digits = 1;
      }
   else 
      {
      divider = 1;
      x_digits = 0;
      }     
   
//-------------------------------------------------------------
   ChartSetInteger(0,CHART_SHOW_DATE_SCALE,false);
   int ChartH = ChartGetInteger(0,CHART_HEIGHT_IN_PIXELS,0);
   y0 = (ChartH/2);

   ObjectCreate(0,"Spread",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"Spread",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"Spread",OBJPROP_BORDER_COLOR,C'188,188,188');
   ObjectSetInteger(0,"Spread",OBJPROP_BGCOLOR,clrDarkGray);
   ObjectSetInteger(0,"Spread",OBJPROP_XDISTANCE,56+x);
   ObjectSetInteger(0,"Spread",OBJPROP_YDISTANCE,y0-10+y);
   ObjectSetInteger(0,"Spread",OBJPROP_XSIZE,26);
   ObjectSetInteger(0,"Spread",OBJPROP_YSIZE,18);
   ObjectSetInteger(0,"Spread",OBJPROP_COLOR,Black);
   ObjectSetInteger(0,"Spread",OBJPROP_FONTSIZE,8);
   ObjectSetString(0,"Spread",OBJPROP_TEXT,0);
   ObjectSetInteger(0,"Spread",OBJPROP_SELECTABLE,false);
   ObjectSetInteger(0,"Spread",OBJPROP_HIDDEN,True); 

   ObjectCreate(0,"lot-",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"lot-",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"lot-",OBJPROP_XDISTANCE,0+x);
   ObjectSetInteger(0,"lot-",OBJPROP_YDISTANCE,y0-11+y);
   ObjectSetInteger(0,"lot-",OBJPROP_XSIZE,10);
   ObjectSetInteger(0,"lot-",OBJPROP_YSIZE,20);
   ObjectSetString(0,"lot-",OBJPROP_TEXT,"");
   ObjectSetString(0,"lot-",OBJPROP_FONT,"Arial");
   ObjectSetInteger(0,"lot-",OBJPROP_COLOR, clrNONE);
   ObjectSetInteger(0,"lot-",OBJPROP_BGCOLOR, C'169,169,169');
   ObjectSetInteger(0,"lot-",OBJPROP_HIDDEN,True);
   ObjectSetInteger(0,"lot-",OBJPROP_STATE,False);
   ObjectSetInteger(0,"lot-",OBJPROP_FONTSIZE,22);

   ObjectCreate(0,"lot+",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"lot+",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"lot+",OBJPROP_XDISTANCE,46+x);
   ObjectSetInteger(0,"lot+",OBJPROP_YDISTANCE,y0-11+y);
   ObjectSetInteger(0,"lot+",OBJPROP_XSIZE,10);
   ObjectSetInteger(0,"lot+",OBJPROP_YSIZE,20);
   ObjectSetString(0,"lot+",OBJPROP_TEXT,"");
   ObjectSetString(0,"lot+",OBJPROP_FONT,"Arial");
   ObjectSetInteger(0,"lot+",OBJPROP_COLOR, clrNONE);
   ObjectSetInteger(0,"lot+",OBJPROP_BGCOLOR, C'169,169,169');
   ObjectSetInteger(0,"lot+",OBJPROP_HIDDEN,True);
   ObjectSetInteger(0,"lot+",OBJPROP_STATE,False);
   ObjectSetInteger(0,"lot+",OBJPROP_FONTSIZE,15);

   ObjectCreate(0,"Lots",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"Lots",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"Lots",OBJPROP_XDISTANCE,10+x);
   ObjectSetInteger(0,"Lots",OBJPROP_YDISTANCE,y0-11+y);
   ObjectSetInteger(0,"Lots",OBJPROP_BORDER_COLOR,C'111,111,111');
   ObjectSetInteger(0,"Lots",OBJPROP_BGCOLOR, C'188,188,188');
   ObjectSetInteger(0,"Lots",OBJPROP_COLOR,Black);
   ObjectSetInteger(0,"Lots",OBJPROP_XSIZE,36);
   ObjectSetInteger(0,"Lots",OBJPROP_YSIZE,20);
   ObjectSetString(0,"Lots",OBJPROP_TEXT,DoubleToString(lot,2));
   ObjectSetString(0,"Lots",OBJPROP_FONT,"Arial");
   ObjectSetInteger(0,"Lots",OBJPROP_FONTSIZE,10);
   ObjectSetInteger(0,"Lots",OBJPROP_SELECTABLE,false);
   ObjectSetInteger(0,"Lots",OBJPROP_HIDDEN,True); 
    
   ObjectCreate(0,"buy",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"buy",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"buy",OBJPROP_XDISTANCE,3+x);
   ObjectSetInteger(0,"buy",OBJPROP_YDISTANCE,y0+18+y);
   ObjectSetInteger(0,"buy",OBJPROP_XSIZE,50);
   ObjectSetInteger(0,"buy",OBJPROP_YSIZE,23);
   ObjectSetText("buy",0);
   ObjectSetInteger(0,"buy",OBJPROP_COLOR, clrDarkGreen);
   ObjectSetInteger(0,"buy",OBJPROP_BGCOLOR, C'169,169,169');
   ObjectSetInteger(0,"buy",OBJPROP_HIDDEN,True);
   ObjectSetInteger(0,"buy",OBJPROP_STATE,False);
   ObjectSetInteger(0,"buy",OBJPROP_FONTSIZE,10); 
   ObjectSetString(0,"buy",OBJPROP_FONT,"Arial Bold"); 

   ObjectCreate(0,"sell",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"sell",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"sell",OBJPROP_XDISTANCE,3+x);
   ObjectSetInteger(0,"sell",OBJPROP_YDISTANCE,y0-43+y);
   ObjectSetInteger(0,"sell",OBJPROP_XSIZE,50);
   ObjectSetInteger(0,"sell",OBJPROP_YSIZE,23);
   ObjectSetText("sell",0);
   ObjectSetInteger(0,"sell",OBJPROP_COLOR, clrFireBrick);
   ObjectSetInteger(0,"sell",OBJPROP_BGCOLOR, C'169,169,169');
   ObjectSetInteger(0,"sell",OBJPROP_HIDDEN,True);
   ObjectSetInteger(0,"sell",OBJPROP_STATE,False);
   ObjectSetInteger(0,"sell",OBJPROP_FONTSIZE,11); 
   ObjectSetString(0,"sell",OBJPROP_FONT,"Arial Bold"); 
   
   return(INIT_SUCCEEDED);
  }
//+------------------------------------------------------------------+
//| Expert deinitialization function                                 |
//+------------------------------------------------------------------+
void OnDeinit(const int reason)
      {
      ObjectDelete("lot-");
      ObjectDelete("lot+");
      ObjectDelete("Lots");
      ObjectDelete("buy");
      ObjectDelete("sell");
      ObjectDelete("Spread"); 
      ObjectDelete("S1");
      ObjectDelete("Close_ALL_SELL");
      ObjectDelete("Close_Oldest_sell");
      ObjectDelete("Move_Short_SL");
      ObjectDelete("Short_PL_Pips");
      ObjectDelete("Short_PL_Money");
      ObjectDelete("Pos_short");    
      ObjectDelete("B1");
      ObjectDelete("Close_ALL_BUY");
      ObjectDelete("Close_Oldest_buy");
      ObjectDelete("Move_Long_SL");
      ObjectDelete("Long_PL_Pips");
      ObjectDelete("Long_PL_Money");
      ObjectDelete("Pos_long");  
      ObjectDelete("Average_Buy_Line");
      ObjectDelete("Average_Sell_Line");         
      }
//+------------------------------------------------------------------+
int start()
      {

   int ChartH = ChartGetInteger(0,CHART_HEIGHT_IN_PIXELS,0);
   y0 = (ChartH/2);

   ObjectSetInteger(0,"Spread",OBJPROP_XDISTANCE,56+x);
   ObjectSetInteger(0,"Spread",OBJPROP_YDISTANCE,y0-10+y);

   ObjectSetInteger(0,"lot-",OBJPROP_XDISTANCE,0+x);
   ObjectSetInteger(0,"lot-",OBJPROP_YDISTANCE,y0-11+y);
 
   ObjectSetInteger(0,"lot+",OBJPROP_XDISTANCE,46+x);
   ObjectSetInteger(0,"lot+",OBJPROP_YDISTANCE,y0-11+y);

   ObjectSetInteger(0,"Lots",OBJPROP_XDISTANCE,10+x);
   ObjectSetInteger(0,"Lots",OBJPROP_YDISTANCE,y0-11+y);

   ObjectSetInteger(0,"buy",OBJPROP_XDISTANCE,3+x);
   ObjectSetInteger(0,"buy",OBJPROP_YDISTANCE,y0+18+y);

   ObjectSetInteger(0,"sell",OBJPROP_XDISTANCE,3+x);
   ObjectSetInteger(0,"sell",OBJPROP_YDISTANCE,y0-43+y);

//---------------------------------------------------------

   double spread = (Ask - Bid) / Point;
   ObjectSetString(0,"Spread",OBJPROP_TEXT,DoubleToString(NormalizeDouble(spread / divider, 1), x_digits));

   string BID, BID_1, ASK, ASK_1;
   
   BID = DoubleToStr(Bid, Digits);
   ASK = DoubleToStr(Ask, Digits);
   int SLength = StringLen(BID);
   BID_1 = StringSubstr(BID, SLength-3, 3);
   ASK_1 = StringSubstr(ASK, SLength-3, 3);
   
   ObjectSetText("sell",BID_1);
   ObjectSetText("buy",ASK_1);
  
//---------------------------------------------------------
//POSITION INFO
//---------------------------------------------------------
   
   double Total_Sell_Price;
   double Total_Sell_Size;
   double Total_Buy_Price;
   double Total_Buy_Size;
   double Money_PL_Long;
   double Money_PL_Short;
   double Pips_PL;
   color Pips_PL_Color;
   color Money_PL_Color;
   
   ObjectDelete("Average_Buy_Line");
   ObjectDelete("Average_Sell_Line");
   
   int i;

   for(i=0;i<OrdersTotal();i++)
   {
      OrderSelect(i, SELECT_BY_POS, MODE_TRADES);
      if(OrderSymbol()==Symbol() && OrderMagicNumber()==MagicNumber)
      {
         if(OrderType()==OP_BUY)
         {
            Total_Buy_Price += OrderOpenPrice()*OrderLots();
            Total_Buy_Size += OrderLots();
            Money_PL_Long += OrderProfit() + OrderSwap() + OrderCommission();
            
         }
         if(OrderType()==OP_SELL)
         {
            Total_Sell_Price += OrderOpenPrice()*OrderLots();
            Total_Sell_Size += OrderLots();
            Money_PL_Short += OrderProfit() + OrderSwap() + OrderCommission();
         }
      }   
   }
   if(Total_Buy_Price>0)
      {
      Total_Buy_Price /= Total_Buy_Size;
      Pips_PL = (Bid-Total_Buy_Price)/Point;
      if(Pips_PL < 0.00) Pips_PL_Color = Loss_color; 
      else if (Pips_PL > 0.00) Pips_PL_Color = Profit_color;
      else Pips_PL_Color = Zero_color;
      
      if(Money_PL_Long < 0.00) Money_PL_Color = Loss_color; 
      else if (Money_PL_Long > 0.00) Money_PL_Color = Profit_color;
      else Money_PL_Color = Zero_color;
      
   ObjectCreate(0,"B1",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"B1",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"B1",OBJPROP_XDISTANCE,-2+x);
   ObjectSetInteger(0,"B1",OBJPROP_YDISTANCE,y0+53+y);
   ObjectSetInteger(0,"B1",OBJPROP_XSIZE,83);
   ObjectSetInteger(0,"B1",OBJPROP_YSIZE,93);
   ObjectSetInteger(0,"B1",OBJPROP_BORDER_COLOR,C'180,180,180');
   ObjectSetInteger(0,"B1",OBJPROP_BGCOLOR, C'180,180,180');
   ObjectSetText("B1"," ");
   ObjectSetInteger(0,"B1",OBJPROP_HIDDEN,True);
   ObjectSetInteger(0,"B1",OBJPROP_BACK,false);

   ObjectCreate("Close_ALL_BUY",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"Close_ALL_BUY",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"Close_ALL_BUY",OBJPROP_XDISTANCE,3+x); 
   ObjectSetInteger(0,"Close_ALL_BUY",OBJPROP_YDISTANCE,y0+122+y);
   ObjectSetInteger(0,"Close_ALL_BUY",OBJPROP_XSIZE,20);
   ObjectSetInteger(0,"Close_ALL_BUY",OBJPROP_YSIZE,20);
   ObjectSetString(0,"Close_ALL_BUY",OBJPROP_TEXT,"X");
   ObjectSetString(0,"Close_ALL_BUY",OBJPROP_FONT,"Arial Bold");
   ObjectSetInteger(0,"Close_ALL_BUY",OBJPROP_COLOR, C'111,111,111');
   ObjectSetInteger(0,"Close_ALL_BUY",OBJPROP_BGCOLOR, C'211,211,211');
   ObjectSetInteger(0,"Close_ALL_BUY",OBJPROP_HIDDEN,True);
   ObjectSetInteger(0,"Close_ALL_BUY",OBJPROP_STATE,False);
   ObjectSetInteger(0,"Close_ALL_BUY",OBJPROP_FONTSIZE,9);
   
   ObjectCreate(0,"Close_Oldest_buy",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"Close_Oldest_buy",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"Close_Oldest_buy",OBJPROP_XDISTANCE,3+x);
   ObjectSetInteger(0,"Close_Oldest_buy",OBJPROP_YDISTANCE,y0+58+y);
   ObjectSetInteger(0,"Close_Oldest_buy",OBJPROP_XSIZE,20);
   ObjectSetInteger(0,"Close_Oldest_buy",OBJPROP_YSIZE,20);
   ObjectSetText("Close_Oldest_buy","X");
   ObjectSetInteger(0,"Close_Oldest_buy",OBJPROP_COLOR, C'88,88,88');
   ObjectSetInteger(0,"Close_Oldest_buy",OBJPROP_BGCOLOR, C'169,169,169');
   ObjectSetInteger(0,"Close_Oldest_buy",OBJPROP_HIDDEN,True);
   ObjectSetInteger(0,"Close_Oldest_buy",OBJPROP_STATE,False);
   ObjectSetInteger(0,"Close_Oldest_buy",OBJPROP_FONTSIZE,9); 
   ObjectSetString(0,"Close_Oldest_buy",OBJPROP_FONT,"Arial Bold"); 
   
   ObjectCreate(0,"Move_Long_SL",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"Move_Long_SL",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"Move_Long_SL",OBJPROP_XDISTANCE,30+x);
   ObjectSetInteger(0,"Move_Long_SL",OBJPROP_YDISTANCE,y0+58+y);
   ObjectSetInteger(0,"Move_Long_SL",OBJPROP_XSIZE,23);
   ObjectSetInteger(0,"Move_Long_SL",OBJPROP_YSIZE,20);
   ObjectSetText("Move_Long_SL","sl");
   ObjectSetInteger(0,"Move_Long_SL",OBJPROP_COLOR, clrBlack);
   ObjectSetInteger(0,"Move_Long_SL",OBJPROP_BGCOLOR, C'169,169,169');
   ObjectSetInteger(0,"Move_Long_SL",OBJPROP_HIDDEN,True);
   ObjectSetInteger(0,"Move_Long_SL",OBJPROP_STATE,False);
   ObjectSetInteger(0,"Move_Long_SL",OBJPROP_FONTSIZE,8); 
   ObjectSetString(0,"Move_Long_SL",OBJPROP_FONT,"Arial"); 
         
      ObjectCreate("Long_PL_Pips",OBJ_LABEL,0,0,0);
      ObjectSetText("Long_PL_Pips", " " + DoubleToStr(NormalizeDouble(Pips_PL / divider, 1), x_digits),12,"Arial Bold",Pips_PL_Color); 
      ObjectSet("Long_PL_Pips", OBJPROP_CORNER, 0);
      ObjectSet("Long_PL_Pips", OBJPROP_XDISTANCE, 28+x);
      ObjectSet("Long_PL_Pips", OBJPROP_YDISTANCE, y0+123+y);
      
      ObjectCreate("Long_PL_Money",OBJ_LABEL,0,0,0);
      ObjectSetString(0,"Long_PL_Money",OBJPROP_TEXT," "+DoubleToStr(Money_PL_Long,2)+" "+AccountCurrency()); 
      ObjectSet("Long_PL_Money", OBJPROP_CORNER, 0);
      ObjectSet("Long_PL_Money", OBJPROP_XDISTANCE, 3+x);
      ObjectSet("Long_PL_Money", OBJPROP_YDISTANCE, y0+103+y);
      ObjectSet("Long_PL_Money", OBJPROP_FONTSIZE,8);
      ObjectSet("Long_PL_Money", OBJPROP_COLOR, Money_PL_Color);
      
      ObjectCreate("Pos_long",OBJ_LABEL,0,0,0); 
      ObjectSet("Pos_long",OBJPROP_CORNER,0);
      ObjectSet("Pos_long",OBJPROP_XDISTANCE,5+x);
      ObjectSet("Pos_long",OBJPROP_YDISTANCE,y0+85+y);
      ObjectSet("Pos_long",OBJPROP_COLOR,Black);
      ObjectSet("Pos_long",OBJPROP_FONTSIZE,8);
      ObjectSet("Pos_long",OBJPROP_SELECTABLE,false);
      ObjectSet("Pos_long",OBJPROP_HIDDEN,True);
      ObjectSetText("Pos_long",StringConcatenate("B  ",Total_Buy_Size));
      
      ObjectCreate("Average_Buy_Line",OBJ_HLINE,0,0,Total_Buy_Price);
      ObjectSet("Average_Buy_Line",OBJPROP_COLOR,Buy_Line_Color);
      ObjectSet("Average_Buy_Line",OBJPROP_HIDDEN,True);
      ObjectSet("Average_Buy_Line",OBJPROP_STYLE,5);
      
      }
   if(Total_Buy_Size == 0)
      {
      ObjectDelete("B1");
      ObjectDelete("Close_ALL_BUY");
      ObjectDelete("Close_Oldest_buy");
      ObjectDelete("Move_Long_SL");
      ObjectDelete("Long_PL_Pips");
      ObjectDelete("Long_PL_Money");
      ObjectDelete("Pos_long");
      }
   
   if(Total_Sell_Price>0)
      {
      Total_Sell_Price /= Total_Sell_Size;
      Pips_PL = (Total_Sell_Price-Ask)/Point;
      if(Pips_PL < 0.00) Pips_PL_Color = Loss_color; 
      else if (Pips_PL > 0.00) Pips_PL_Color = Profit_color;
      else Pips_PL_Color = Zero_color;
      
      if(Money_PL_Short < 0.00) Money_PL_Color = Loss_color; 
      else if (Money_PL_Short > 0.00) Money_PL_Color = Profit_color;
      else Money_PL_Color = Zero_color;
      
   ObjectCreate(0,"S1",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"S1",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"S1",OBJPROP_XDISTANCE,-2+x);
   ObjectSetInteger(0,"S1",OBJPROP_YDISTANCE,y0-148+y);
   ObjectSetInteger(0,"S1",OBJPROP_XSIZE,83);
   ObjectSetInteger(0,"S1",OBJPROP_YSIZE,93);
   ObjectSetInteger(0,"S1",OBJPROP_BORDER_COLOR,C'180,180,180');
   ObjectSetInteger(0,"S1",OBJPROP_BGCOLOR, C'180,180,180');
   ObjectSetText("S1"," ");
   ObjectSetInteger(0,"S1",OBJPROP_HIDDEN,True);
   ObjectSetInteger(0,"S1",OBJPROP_BACK,false);
   
   ObjectCreate("Close_ALL_SELL",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"Close_ALL_SELL",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"Close_ALL_SELL",OBJPROP_XDISTANCE,3+x); 
   ObjectSetInteger(0,"Close_ALL_SELL",OBJPROP_YDISTANCE,y0-144+y);
   ObjectSetInteger(0,"Close_ALL_SELL",OBJPROP_XSIZE,20);
   ObjectSetInteger(0,"Close_ALL_SELL",OBJPROP_YSIZE,20);
   ObjectSetString(0,"Close_ALL_SELL",OBJPROP_TEXT,"X");
   ObjectSetString(0,"Close_ALL_SELL",OBJPROP_FONT,"Arial Bold");
   ObjectSetInteger(0,"Close_ALL_SELL",OBJPROP_COLOR, C'111,111,111');
   ObjectSetInteger(0,"Close_ALL_SELL",OBJPROP_BGCOLOR, C'211,211,211');
   ObjectSetInteger(0,"Close_ALL_SELL",OBJPROP_HIDDEN,True);
   ObjectSetInteger(0,"Close_ALL_SELL",OBJPROP_STATE,False);
   ObjectSetInteger(0,"Close_ALL_SELL",OBJPROP_FONTSIZE,9);
   
   ObjectCreate(0,"Close_Oldest_sell",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"Close_Oldest_sell",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"Close_Oldest_sell",OBJPROP_XDISTANCE,3+x);
   ObjectSetInteger(0,"Close_Oldest_sell",OBJPROP_YDISTANCE,y0-80+y);
   ObjectSetInteger(0,"Close_Oldest_sell",OBJPROP_XSIZE,20);
   ObjectSetInteger(0,"Close_Oldest_sell",OBJPROP_YSIZE,20);
   ObjectSetText("Close_Oldest_sell","X");
   ObjectSetInteger(0,"Close_Oldest_sell",OBJPROP_COLOR, C'88,88,88');
   ObjectSetInteger(0,"Close_Oldest_sell",OBJPROP_BGCOLOR, C'169,169,169');
   ObjectSetInteger(0,"Close_Oldest_sell",OBJPROP_HIDDEN,True);
   ObjectSetInteger(0,"Close_Oldest_sell",OBJPROP_STATE,False);
   ObjectSetInteger(0,"Close_Oldest_sell",OBJPROP_FONTSIZE,9); 
   ObjectSetString(0,"Close_Oldest_sell",OBJPROP_FONT,"Arial Bold");
   
   ObjectCreate(0,"Move_Short_SL",OBJ_BUTTON,0,0,0);
   ObjectSetInteger(0,"Move_Short_SL",OBJPROP_CORNER,0);
   ObjectSetInteger(0,"Move_Short_SL",OBJPROP_XDISTANCE,30+x);
   ObjectSetInteger(0,"Move_Short_SL",OBJPROP_YDISTANCE,y0-80+y);
   ObjectSetInteger(0,"Move_Short_SL",OBJPROP_XSIZE,23);
   ObjectSetInteger(0,"Move_Short_SL",OBJPROP_YSIZE,20);
   ObjectSetText("Move_Short_SL","sl");
   ObjectSetInteger(0,"Move_Short_SL",OBJPROP_COLOR, clrBlack);
   ObjectSetInteger(0,"Move_Short_SL",OBJPROP_BGCOLOR, C'169,169,169');
   ObjectSetInteger(0,"Move_Short_SL",OBJPROP_HIDDEN,True);
   ObjectSetInteger(0,"Move_Short_SL",OBJPROP_STATE,False);
   ObjectSetInteger(0,"Move_Short_SL",OBJPROP_FONTSIZE,8); 
   ObjectSetString(0,"Move_Short_SL",OBJPROP_FONT,"Arial");
      
      ObjectCreate("Short_PL_Pips",OBJ_LABEL,0,0,0);
      ObjectSetText("Short_PL_Pips", " " + DoubleToStr(NormalizeDouble(Pips_PL / divider, 1), x_digits),12,"Arial Bold",Pips_PL_Color); 
      ObjectSet("Short_PL_Pips", OBJPROP_CORNER, 0);
      ObjectSet("Short_PL_Pips", OBJPROP_XDISTANCE, 28+x);
      ObjectSet("Short_PL_Pips", OBJPROP_YDISTANCE,y0-143+y);
      
      ObjectCreate("Short_PL_Money",OBJ_LABEL,0,0,0);
      ObjectSetString(0,"Short_PL_Money",OBJPROP_TEXT," "+DoubleToStr(Money_PL_Short,2)+" "+AccountCurrency()); 
      ObjectSet("Short_PL_Money", OBJPROP_CORNER, 0);
      ObjectSet("Short_PL_Money", OBJPROP_XDISTANCE, 3+x);
      ObjectSet("Short_PL_Money", OBJPROP_YDISTANCE, y0-118+y);
      ObjectSet("Short_PL_Money", OBJPROP_FONTSIZE,8);
      ObjectSet("Short_PL_Money", OBJPROP_COLOR, Money_PL_Color);
      
      ObjectCreate("Pos_short",OBJ_LABEL,0,0,0); 
      ObjectSet("Pos_short",OBJPROP_CORNER,0);
      ObjectSet("Pos_short",OBJPROP_XDISTANCE,5+x);
      ObjectSet("Pos_short",OBJPROP_YDISTANCE,y0-100+y);
      ObjectSet("Pos_short",OBJPROP_COLOR,Black);
      ObjectSet("Pos_short",OBJPROP_FONTSIZE,8);
      ObjectSet("Pos_short",OBJPROP_SELECTABLE,false);
      ObjectSet("Pos_short",OBJPROP_HIDDEN,True);
      ObjectSetText("Pos_short",StringConcatenate("S  ",Total_Sell_Size));
       
      ObjectCreate("Average_Sell_Line",OBJ_HLINE,0,0,Total_Sell_Price);
      ObjectSet("Average_Sell_Line",OBJPROP_COLOR,Sell_Line_Color);
      ObjectSet("Average_Sell_Line",OBJPROP_HIDDEN,True);
      ObjectSet("Average_Sell_Line",OBJPROP_STYLE,5);
   }
   if(Total_Sell_Size == 0)
      {
      ObjectDelete("S1");
      ObjectDelete("Close_ALL_SELL");
      ObjectDelete("Close_Oldest_sell");
      ObjectDelete("Move_Short_SL");
      ObjectDelete("Short_PL_Pips");
      ObjectDelete("Short_PL_Money");
      ObjectDelete("Pos_short");
      }
      
   return(0);

   }

//--------------------------------------------------------------------

void buy()
{
   for(int i=0;i<Number_of_trades;i++)
      {
      double a= MarketInfo(Symbol(),MODE_ASK);
      double s_l;
      double t_p;
   if(Stop_Loss==0)
      s_l=0;
   else
      s_l=a-(Stop_Loss*PipPoints);
   if(Take_Profit==0)
      t_p=0;
   else
      t_p=a+(Take_Profit*PipPoints);
   int ticket= OrderSend(NULL,OP_BUY,lot(),a,slip,s_l,t_p,NULL,MagicNumber,0,clrNONE);
   if(ticket>0)
      PlaySound("Ok");
   if(ticket<=0)
      PlaySound("timeout");
      {
      string s=DoubleToStr(s_l,Digits);
      string t=DoubleToStr(t_p,Digits);
      string ls=DoubleToStr(lot(),2);
      string en=DoubleToStr(a,Digits);
      string bd=DoubleToStr(MarketInfo(Symbol(),MODE_BID),Digits);
      string s_level= (string)MarketInfo(Symbol(),MODE_STOPLEVEL);
      string txt= " BUY, "+ls+" at "+en+" SL="+s+" TP="+t+" StopLevel="+s_level+" Bid="+bd ;
      Print(TimeCurrent()," Error with Opening Order-",ErrorDescription(GetLastError() ));
      Print(txt);
      }
   }
}
void sell()
{
   for(int i=0;i<Number_of_trades;i++)
      {
      double b= MarketInfo(Symbol(),MODE_BID);
      double s_l;
      double t_p;
   if(Stop_Loss==0)
      s_l=0;
   else
      s_l=b+(Stop_Loss*PipPoints);
   if(Take_Profit==0)
      t_p=0;
   else
      t_p=b-(Take_Profit*PipPoints);
      int ticket= OrderSend(NULL,OP_SELL,lot(),b,slip,s_l,t_p,NULL,MagicNumber,0,clrNONE);
   if(ticket>0)
      PlaySound("Ok");
   if(ticket<=0)
      PlaySound("timeout");
      {
      string s=DoubleToStr(s_l,Digits);
      string t=DoubleToStr(t_p,Digits);
      string ls=DoubleToStr(lot(),2);
      string en=DoubleToStr(b,Digits);
      string s_level= (string)MarketInfo(Symbol(),MODE_STOPLEVEL);
      string as=DoubleToStr(MarketInfo(Symbol(),MODE_ASK),Digits);
      string txt= " SELL, "+ls+" at "+en+" SL="+s+" TP="+t+" StopLevel="+s_level+" Ask="+as ;
      Print(TimeCurrent()," Error with Opening Order-",ErrorDescription(GetLastError() ));
      Print(txt);
      }
   }
}

double lot()
{
   return lot;
}

//+------------------------------------------------------------------+

 void CloseAll_BUY()
   {
   int Attempts=0;
   bool AllClosed=false;
   while(AllClosed==false && Attempts<5)
      { 
   int counter =0;
   for(int index=OrdersTotal()-1;index>=0;index--)
      {
   if(!OrderSelect(index,SELECT_BY_POS,MODE_TRADES))
      {
      Print("Error with OrderSelect-",ErrorDescription(GetLastError()));
      counter++;
      continue;
      }
      if(OrderMagicNumber()==MagicNumber && OrderSymbol()==Symbol())
         {
         if(OrderType()==OP_BUY)
            {
            if(!OrderClose(OrderTicket(),OrderLots(),OrderClosePrice(),50,clrNONE))
               {
               int Err=GetLastError();
               Print("Error closing order ",OrderTicket(),". Error code ",Err,". ",ErrorDescription(Err));
               counter++;
               }
            }
         }
      }
   Attempts++ ;
   if(counter==0)
   AllClosed=true;
   else
   Sleep(5000);
   }
   }
//------------------------------
void CloseAll_SELL()
   {
   int Attempts=0;
   bool AllClosed=false;
   while(AllClosed==false && Attempts<5)
      { 
   int counter =0;
   for(int index=OrdersTotal()-1;index>=0;index--)
      {
   if(!OrderSelect(index,SELECT_BY_POS,MODE_TRADES))
      {
      Print("Error with OrderSelect-",ErrorDescription(GetLastError()));
      counter++;
      continue;
      }
      if(OrderMagicNumber()==MagicNumber && OrderSymbol()==Symbol())
         {
         if(OrderType()==OP_SELL)
            {
            if(!OrderClose(OrderTicket(),OrderLots(),OrderClosePrice(),50,clrNONE))
               {
               int Err=GetLastError();
               Print("Error closing order ",OrderTicket(),". Error code ",Err,". ",ErrorDescription(Err));
               counter++;
               }
            }
         }
      }
   Attempts++ ;
   if(counter==0)
   AllClosed=true;
   else
   Sleep(5000);
   }
   }

//-------------------------------
void Close_oldest_buy()
   {
   int total  = OrdersTotal();
   for (int pos = 0; pos < total; pos++)                            // Start with oldest
   {
      if (!OrderSelect(pos,SELECT_BY_POS,MODE_TRADES)) continue;  
      if (OrderSymbol() == Symbol())                               
      {
         while (IsTradeContextBusy()) Sleep(100);
         if (OrderType()==OP_BUY)                  // Close One or All
            if(OrderClose(OrderTicket(),OrderLots(),OrderClosePrice(),50,clrNONE))
               break;
            else
               int Err=GetLastError();
               Print("Error closing order ",OrderTicket(),". Error code ",Err,". ",ErrorDescription(Err));
      }
   }
   }
//-------------------------------
void Close_oldest_sell()
   {
   int total  = OrdersTotal();
   for (int pos = 0; pos < total; pos++)                            // Start with oldest
   {
      if (!OrderSelect(pos,SELECT_BY_POS,MODE_TRADES)) continue;    
      if (OrderSymbol() == Symbol())                         
      {
         while (IsTradeContextBusy()) Sleep(100);
         if (OrderType()==OP_SELL)                  // Close One or All
            if(OrderClose(OrderTicket(),OrderLots(),OrderClosePrice(),50,clrNONE))
               break;
            else
               int Err=GetLastError();
               Print("Error closing order ",OrderTicket(),". Error code ",Err,". ",ErrorDescription(Err));
      }
   }
   }
   
//-------------------------------
 void Move_Long_SL()
   {
      { 
   int counter =0;
   for(int index=OrdersTotal()-1;index>=0;index--)
      {
   if(!OrderSelect(index,SELECT_BY_POS,MODE_TRADES))
      {
      Print("Error with OrderSelect-",ErrorDescription(GetLastError()));
      counter++;
      continue;
      }
      if(OrderMagicNumber()==MagicNumber && OrderSymbol()==Symbol())
         {
         if(OrderType()==OP_BUY)
            {
            if (OrderModify(OrderTicket(),OrderOpenPrice(),OrderStopLoss()+Trailing_stop_step*PipPoints,OrderTakeProfit(),0,clrNONE))
               {
               int Err=GetLastError();
               Print("Error modifying order ",OrderTicket(),". Error code ",Err,". ",ErrorDescription(Err));
               counter++;
               }
            }
         }
      }
   }
   }
//---------------------------------
 void Move_Short_SL()
   {
      { 
   int counter =0;
   for(int index=OrdersTotal()-1;index>=0;index--)
      {
   if(!OrderSelect(index,SELECT_BY_POS,MODE_TRADES))
      {
      Print("Error with OrderSelect-",ErrorDescription(GetLastError()));
      counter++;
      continue;
      }
      if(OrderMagicNumber()==MagicNumber && OrderSymbol()==Symbol())
         {
         if(OrderType()==OP_SELL)
            {
            if (OrderModify(OrderTicket(),OrderOpenPrice(),OrderStopLoss()-Trailing_stop_step*PipPoints,OrderTakeProfit(),0,clrNONE))
               {
               int Err=GetLastError();
               Print("Error modifying order ",OrderTicket(),". Error code ",Err,". ",ErrorDescription(Err));
               counter++;
               }
            }
         }
      }
   }
   }

//+------------------------------------------------------------------+
//| ChartEvent function                                              |
//+------------------------------------------------------------------+
void OnChartEvent(const int id,
                  const long &lparam,
                  const double &dparam,
                  const string &sparam)
   {
//---
   if(id==CHARTEVENT_OBJECT_CLICK)
      {
      if(sparam=="buy")
         {
         buy();
         Sleep(50);
         ObjectSetInteger(0,"buy",OBJPROP_STATE,false);
         }
      if(sparam=="sell")
         {
         sell();
         Sleep(50);
         ObjectSetInteger(0,"sell",OBJPROP_STATE,false);
         }
      if(sparam=="Close_ALL_BUY")
         {
         CloseAll_BUY();
         Sleep(50);
         ObjectSetInteger(0,"Close_ALL_BUY",OBJPROP_STATE,false);
         }
      if(sparam=="Close_ALL_SELL")
         {
         CloseAll_SELL();
         Sleep(50);
         ObjectSetInteger(0,"Close_ALL_SELL",OBJPROP_STATE,false);
         }    
      if(sparam=="Close_Oldest_buy")
         {
         Close_oldest_buy();
         Sleep(50);
         ObjectSetInteger(0,"Close_Oldest_buy",OBJPROP_STATE,false);
         }     
      if(sparam=="Close_Oldest_sell")
         {
         Close_oldest_sell();
         Sleep(50);
         ObjectSetInteger(0,"Close_Oldest_sell",OBJPROP_STATE,false);
         }
      if(sparam=="Move_Long_SL")
         {
         Move_Long_SL();
         Sleep(50);
         ObjectSetInteger(0,"Move_Long_SL",OBJPROP_STATE,false);
         }
      if(sparam=="Move_Short_SL")
         {
         Move_Short_SL();
         Sleep(50);
         ObjectSetInteger(0,"Move_Short_SL",OBJPROP_STATE,false);
         }         
      if(sparam=="lot+")
         {
         lot=(lot+Lot_adjust);
         ObjectSetString(0,"Lots",OBJPROP_TEXT,DoubleToString(lot,2));
         Sleep(100); 
         ObjectSetInteger(0,"lot+",OBJPROP_STATE,false);
         ChartRedraw();
         }
      if(sparam=="lot-")
         {
         lot=(lot-Lot_adjust);
         ObjectSetString(0,"Lots",OBJPROP_TEXT,DoubleToString(lot,2));
         Sleep(100);
         ObjectSetInteger(0,"lot-",OBJPROP_STATE,false);
         ChartRedraw();
         }
       if(sparam=="Lots")
         {
         lot=(Lot_default);
         ObjectSetString(0,"Lots",OBJPROP_TEXT,DoubleToString(lot,2));
         Sleep(100);
         ObjectSetInteger(0,"Lots",OBJPROP_STATE,false);
         ChartRedraw();
         }  
      if(sparam=="Spread")
         {
         ObjectSetInteger(0,"Spread",OBJPROP_STATE,false);
         }                
      if(sparam=="S1")
         {
         ObjectSetInteger(0,"S1",OBJPROP_STATE,false);
         } 
      if(sparam=="B1")
         {
         ObjectSetInteger(0,"B1",OBJPROP_STATE,false);
         }                 
      }
   }
//+------------------------------------------------------------------+
