//+------------------------------------------------------------------+
//|                            Canadian Dude 
//|
//+------------------------------------------------------------------+




#property indicator_separate_window
#property indicator_buffers 3
#property indicator_color1 Lime
#property indicator_color2 Yellow
#property indicator_color3 Blue

#property indicator_level1  100
#property indicator_level2  0
#property indicator_level3  -100

double FastCCI[];
double SlowCCI[];
double RSICheck[];


extern int TimeFrame=PERIOD_M1;

datetime lasttime = 0;

//---- input parameters
extern bool SendAlert = true;

extern int SlowCCIPeriod = 144;
extern int SlowCCIPrice = 5;
extern int FastCCIPeriod = 34;
extern int FastCCIPrice = 5;
extern int RSIPeriod = 13;
extern int RSIPrice = 0;
extern int RSIBuyLevel = 55;
extern int RSISellLevel = 45;

//---- buffers



int init()
  {
 
   SetIndexStyle(1, DRAW_LINE, STYLE_SOLID);
   SetIndexBuffer(1, SlowCCI);
   SetIndexLabel(1, "CCI ("+SlowCCIPeriod+")");

   SetIndexStyle(0, DRAW_LINE, STYLE_SOLID);
   SetIndexBuffer(0, FastCCI);
   SetIndexLabel(0, "CCI ("+FastCCIPeriod+")");
   
   SetIndexStyle(2,DRAW_LINE, STYLE_SOLID);
   SetIndexBuffer(2, RSICheck);
   SetIndexLabel(2, "RSI ("+RSIPeriod+")");

  }
//----
   return(0);
 

int start()
  {
   datetime TimeArray[];
   int    i,shift,limit,y=0,counted_bars=IndicatorCounted();
     
   ArrayCopySeries(TimeArray,MODE_TIME,Symbol(),TimeFrame); 
   
   limit=Bars-counted_bars;
   for(i=0,y=0;i<limit;i++) {
     if (Time[i]<TimeArray[y]) {y++;}   

      SlowCCI[i] = iCCI(NULL,0,SlowCCIPeriod,SlowCCIPrice,y);
      FastCCI[i] = iCCI(NULL,0,FastCCIPeriod,FastCCIPrice,y);
      RSICheck[i] = iRSI(NULL,0,RSIPeriod, RSIPrice,y);

       
if (SendAlert == true)
{	 
if (lasttime != Time[0])
{
if ((FastCCI[2] <= 0 && FastCCI[1] > 0 && SlowCCI[1] > 0 && RSICheck[1] > RSIBuyLevel) || (SlowCCI[2] <= 0 && SlowCCI[1] > 0 && FastCCI[1] > 0 && RSICheck[1] > RSIBuyLevel))
   {

      Alert("Up Cross on ", Symbol()," at ", Hour(),":",Minute());
      PlaySound("alert2.wav");
      lasttime = Time[0];
   }
   
if ((FastCCI[2] >= 0 && FastCCI[1] < 0 && SlowCCI[1] < 0 && RSICheck[1] < RSISellLevel) || (SlowCCI[2] >= 0 && SlowCCI[1] < 0 && FastCCI[1] < 0 && RSICheck[1] < RSISellLevel))
       {

      Alert("Down Cross on ", Symbol()," at ", Hour(),":",Minute());
      PlaySound("alert2.wav");
      lasttime = Time[0];
      }


      
     }
     }
    }
    
   return(0);
  }